import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/fu160/f08f61b78466d9a16cd1bd49297f72f6/raw/7cbce871beefc55b6ba6ef088fb3d063b034cd0b/worldPopulation.csv';


export const useData = () => {
  
  const [data, setData] = useState(null);

  useEffect(() => {
     const row = d=> {
        d.Population = +d['2020'];
        return d;
      }
    csv(csvUrl,row).then((data) => {
      console.log("fetch");
     
     
     
      
      data.sort((a, b) => b.Population - a.Population);
      let temp = data.slice(0,9);
      
      setData(temp);
    });
  }, []);
  
 	return data; 
}